<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

if (isSet($_GET['op'])) { $op = inCode($_GET['op']); } else { $op= ""; }
if (isSet($_GET['id'])) { $id = inCode($_GET['id']); } else { $id= ""; }


function partnerList() {
	global $dblink;
	
	echo "<table width='100%' align='center' cellspacing='1' cellpadding='0' class='std_nicetable'>";
	echo "<thead>\n";
	echo "<tr><td width='50%'>"._SITENAME_."</td><td>"._SITEURL_."</td></tr>\n";
	echo "</thead>\n";
	echo "<tbody>\n";
	$n = 0;
	$result = $dblink->get_list("SELECT * FROM memht_partners ORDER BY nome_sito");
	foreach ($result as $row) {
		$id_p = intval($row['id']);
		$nome_sito_p = outCode($row['nome_sito']);
		$url_sito_p = outCode($row['url_sito']);
		$email_sito_p = maskEmail(outCode($row['email']));
				
		$class = (($n++%2)!=0) ? "std_hlight" : "std_clean" ;
				
		echo "<tr><td class='$class'><a href='index.php?page=partners&op=openPartnerLink&id=$id_p' title='$nome_sito_p' target='_blank'><b>$nome_sito_p</b></a></td><td class='{$class} info'>$url_sito_p</td></tr>\n";
	}
	echo "</tbody>\n";
	echo "</table>";
}

function openPartnerLink($id) {
	global $dblink;
	$id = intval($id);
	
	$query = "SELECT * FROM memht_partners WHERE id='$id'";
	if ($dblink->get_num($query)>0) {
		$row = $dblink->get_row($query);
		$url = outCode($row['url_sito']);
	} else {
		$url = "index.php";
	}
	echo "<div align='center'><b>"._OPENINGLINK_."</b></div>";
	echo "<meta http-equiv='refresh' content='0;URL=$url'>";
}

$pagerow = $dblink->get_row("SELECT * FROM memht_pagine WHERE nome='$page'");
$fullScreen = intval($pagerow['fullscreen']);

require_once("inc/inc_header.php");
	if (isset($_GET['page'])) { page_title($page); }
	
	openTable();
	
	switch($op) {
		case "openPartnerLink":
			openPartnerLink($id);
		break;
	
		default:
			partnerList();
		break;
	}
	
	closeTable();
require_once("inc/inc_footer.php");

?>